#! /bin/sh
cat $* | python3 -c '
from simplify import simplify
while True:
  try:
    s=input()
  except:
    quit()
  t=s.split(",")
  if t[10].find("/")<0:
    i=t[0] if t[10]=="*" or t[10]=="" else t[10]
    j=""
    for k in i:
      if k in simplify:
        j+=simplify[k]
      else:
        j+=k
    if i!=j:
      t[10]=i+"/"+j
  print(",".join(t))
'
exit 0
